<template>
  <BasicModal
    @register="registerModal"
    width="600px"
    title="设备绑定"
    v-bind="$attrs"
    @ok="handleSubmit"
  >
    <div>所属设备:<Select placeholder="请选择" allowClear style="width: 300px" /></div>
  </BasicModal>
</template>
<script lang="ts" setup>
  import { BasicModal, useModalInner } from '/@/components/Modal';
  import { Select } from 'ant-design-vue';

  const [registerModal, { closeModal }] = useModalInner();
  function handleSubmit() {
    closeModal();
  }
</script>
<style lang="less" scoped></style>
